export interface Indentable {
    (context: {
        indentation: number;
        preindent: boolean;
    }): string;
}
export declare function elmString(content: string): string;
export declare const singleLine: (content: string) => Indentable;
export declare const elmFunctionCall: (firstLine: string, nextLine: Indentable) => Indentable;
export interface ListOptions {
    open: string;
    separator: string;
    close: string;
}
export declare const elmList: (elements: Indentable[], options?: ListOptions) => Indentable;
export declare const elmTuple: (elements: Indentable[]) => Indentable;
export declare const elmParen: (around: Indentable) => Indentable;
export interface HeaderOptions {
    moduleName: string;
    exposing: string[] | null;
    moduleDocs: string | null;
    imports: Indentable[];
}
export declare const elmModuleHeader: (header: HeaderOptions) => string;
