import { Breakpoint, ParameterizedDeclaration, RecognizedDeclaration } from "./types";
export interface DocumentationGenerator {
    utilitiesExposing: (definedNames: string[]) => string[] | null;
    utilitiesModuleDocs: (definedNames: string[]) => string | null;
    utilitiesGlobalStyles: () => string;
    utilitiesDefinition: (name: string, declaration: RecognizedDeclaration) => string;
    utilitiesParameterizedDefinition: (name: string, declaration: ParameterizedDeclaration) => string;
    breakpointsExposing: (definedNames: string[]) => string[] | null;
    breakpointsModuleDocs: (definedNames: string[]) => string | null;
    breakpointsDefinition: (breakpoint: Breakpoint) => string;
}
export declare const noDocumentationGenerator: DocumentationGenerator;
export declare const defaultDocumentationGenerator: DocumentationGenerator;
